Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.style
Interface OdfStylePropertySet

All Known Implementing Classes:
  OdfAlphabeticalIndex, OdfAlphabeticalIndexElement, OdfAlphabeticalIndexEntryTemplate, OdfAlphabeticalIndexEntryTemplateElement, OdfAnnotation, OdfAnnotationElement, OdfAxis, OdfAxisElement, OdfBibliography, OdfBibliographyElement, OdfBibliographyEntryTemplate, OdfBibliographyEntryTemplateElement, OdfBody, OdfBodyElement, OdfCaption, OdfCaptionElement, OdfChart, OdfChartElement, OdfCircle, OdfCircleElement, OdfConnector, OdfConnectorElement, OdfControl, OdfControlElement, OdfCoveredTableCell, OdfCoveredTableCellElement, OdfCube, OdfCubeElement, OdfCustomShape, OdfCustomShapeElement, OdfDataPoint, OdfDataPointElement, OdfDefaultStyle, OdfDefaultStyleElement, OdfDropCap, OdfDropCapElement, OdfEllipse, OdfEllipseElement, OdfErrorIndicator, OdfErrorIndicatorElement, OdfEvenColumns, OdfEvenColumnsElement, OdfEvenRows, OdfEvenRowsElement, OdfExtrude, OdfExtrudeElement, OdfFirstColumn, OdfFirstColumnElement, OdfFirstRow, OdfFirstRowElement, OdfFloor, OdfFloorElement, OdfFooter, OdfFooterElement, OdfFrame, OdfFrameElement, OdfGrid, OdfGridElement, OdfGroup, OdfGroupElement, OdfHandoutMaster, OdfHandoutMasterElement, OdfHeading, OdfHeadingElement, OdfHyperlink, OdfHyperlinkElement, OdfIllustrationIndex, OdfIllustrationIndexElement, OdfIllustrationIndexEntryTemplate, OdfIllustrationIndexEntryTemplateElement, OdfIndexEntryBibliography, OdfIndexEntryBibliographyElement, OdfIndexEntryChapter, OdfIndexEntryChapterElement, OdfIndexEntryLinkEnd, OdfIndexEntryLinkEndElement, OdfIndexEntryLinkStart, OdfIndexEntryLinkStartElement, OdfIndexEntryPageNumber, OdfIndexEntryPageNumberElement, OdfIndexEntrySpan, OdfIndexEntrySpanElement, OdfIndexEntryTabStop, OdfIndexEntryTabStopElement, OdfIndexEntryText, OdfIndexEntryTextElement, OdfIndexSourceStyle, OdfIndexSourceStyleElement, OdfIndexTitle, OdfIndexTitleElement, OdfIndexTitleTemplate, OdfIndexTitleTemplateElement, OdfLastColumn, OdfLastColumnElement, OdfLastRow, OdfLastRowElement, OdfLegend, OdfLegendElement, OdfLine, OdfLineElement, OdfLinenumberingConfiguration, OdfLinenumberingConfigurationElement, OdfListLevelStyleBullet, OdfListLevelStyleBulletElement, OdfListLevelStyleElementBase, OdfListLevelStyleImage, OdfListLevelStyleImageElement, OdfListLevelStyleNumber, OdfListLevelStyleNumberElement, OdfListStyle, OdfListStyleElement, OdfMasterPage, OdfMasterPageElement, OdfMeanValue, OdfMeanValueElement, OdfMeasure, OdfMeasureElement, OdfNotes, OdfNotesElement, OdfNumberedParagraph, OdfNumberedParagraphElement, OdfObjectIndex, OdfObjectIndexElement, OdfObjectIndexEntryTemplate, OdfObjectIndexEntryTemplateElement, OdfOddColumns, OdfOddColumnsElement, OdfOddRows, OdfOddRowsElement, OdfOutlineLevelStyle, OdfOutlineLevelStyleElement, OdfPage, OdfPageElement, OdfPageLayout, OdfPageLayoutElement, OdfPageThumbnail, OdfPageThumbnailElement, OdfParagraph, OdfParagraphElement, OdfParagraphElementBase, OdfPath, OdfPathElement, OdfPlotArea, OdfPlotAreaElement, OdfPolygon, OdfPolygonElement, OdfPolyline, OdfPolylineElement, OdfRect, OdfRectangle, OdfRectElement, OdfRegressionCurve, OdfRegressionCurveElement, OdfRegularPolygon, OdfRegularPolygonElement, OdfRotate, OdfRotateElement, OdfRuby, OdfRubyElement, OdfRubyText, OdfRubyTextElement, OdfScene, OdfSceneElement, OdfSection, OdfSectionElement, OdfSeries, OdfSeriesElement, OdfShapeElementBase, OdfSpan, OdfSpanElement, OdfSphere, OdfSphereElement, OdfStockGainMarker, OdfStockGainMarkerElement, OdfStockLossMarker, OdfStockLossMarkerElement, OdfStockRangeLine, OdfStockRangeLineElement, OdfStylableElement, OdfStyle, OdfStyleablePresentationElement, OdfStyleBase, OdfStyleElement, OdfSubtitle, OdfSubtitleElement, OdfTable, OdfTableCell, OdfTableCellElement, OdfTableCellElementBase, OdfTableColumn, OdfTableColumnElement, OdfTableElement, OdfTableIndex, OdfTableIndexElement, OdfTableIndexEntryTemplate, OdfTableIndexEntryTemplateElement, OdfTableOfContent, OdfTableOfContentElement, OdfTableOfContentEntryTemplate, OdfTableOfContentEntryTemplateElement, OdfTableRow, OdfTableRowElement, OdfTitle, OdfTitleElement, OdfUserIndex, OdfUserIndexElement, OdfUserIndexEntryTemplate, OdfUserIndexEntryTemplateElement, OdfWall, OdfWallElement

    public interface OdfStylePropertySet

Method Summary
`Map<OdfStyleProperty,String>` | `getProperties(Set<OdfStyleProperty> properties)` gets more than one property at once
`String` | `getProperty(OdfStyleProperty property)` returns the given property from this styleable element or style.
`Set<OdfStyleProperty>` | `getStrictProperties()`
`boolean` | `hasProperty(OdfStyleProperty property)` checks if this styleable element or style has this property directly set.
`void` | `removeProperty(OdfStyleProperty property)` removes the given property from this set
`void` | `setProperties(Map<OdfStyleProperty,String> properties)` set more than one property at once.
`void` | `setProperty(OdfStyleProperty property, String value)` sets a single style property for this element.

Method Detail

### hasProperty

    boolean hasProperty(OdfStyleProperty property)

  checks if this styleable element or style has this property directly set.

  Parameters:
    `property` - is the property to check.
  Returns:
    true if this property is directly set at this instance or false if not.

### getProperty

    String getProperty(OdfStyleProperty property)

  returns the given property from this styleable element or style. If it is not directly set, the value of this property from a parent style will be returned.

  Parameters:
    `property` - is the property which value will be returned.
  Returns:
    the value of this property or null if it is not available in this set or this parents sets.

### removeProperty

    void removeProperty(OdfStyleProperty property)

  removes the given property from this set

  Parameters:
    `property` - is the property to be removed

### setProperty

    void setProperty(OdfStyleProperty property,
                     String value)

  sets a single style property for this element.

  Parameters:
    `property` - is the property that you want to set.
    `value` - is the value the property is set to.

### setProperties

    void setProperties(Map<OdfStyleProperty,String> properties)

  set more than one property at once.

  Parameters:
    `properties` - is a map of properties with values that should be set.

### getProperties

    Map<OdfStyleProperty,String> getProperties(Set<OdfStyleProperty> properties)

  gets more than one property at once

  Parameters:
    `properties` - is a set of all properties that should be returned.
  Returns:
    a map with all asked properties and theire value, if available.

### getStrictProperties

    Set<OdfStyleProperty> getStrictProperties()

  Returns:
    a set with all properties which are specified in the strict odf format.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.